diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index d48ae94..fe6d5c5 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -987,10 +987,10 @@ AlgebraicFunctionField(F, UP, UPUP, modulus): Exports == Impl where
 
     getInfBasis() ==
       x           := inv(monomial(1, 1)$UP :: RF)
-      invmod      := map(#1 x, modulus)
+      invmod      := map(s +-> s(x), modulus)
       r           := mkIntegral invmod
       degree(r.poly) ^= n => error "Should not happen"
-      ninvmod:UP2 := map(retract(#1)@UP, r.poly)
+      ninvmod:UP2 := map(s +-> retract(s)@UP, r.poly)
       alpha       := [(r.coef ** i) x for i in 0..n1]$Vector(RF)
       invalpha := [inv qelt(alpha, i)
                    for i in minIndex alpha .. maxIndex alpha]$Vector(RF)
diff --git a/changelog b/changelog
index 256f1de..ca87da4 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090508 tpd src/axiom-website/patches.html 20090508.06.tpd.patch
+20090508 tpd books/bookvol10.3 ALGFF +-> conversion
 20090508 tpd src/axiom-website/patches.html 20090508.05.tpd.patch
 20090508 tpd books/bookvol10.2 FEVALAB +-> conversion
 20090508 tpd src/axiom-website/patches.html 20090508.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index fe98d09..812316b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1124,5 +1124,7 @@ bookvol10.2 HOAGG +-> conversion<br/>
 bookvol10.4 AF +-> conversion<br/>
 <a href="patches/20090508.05.tpd.patch">20090508.05.tpd.patch</a>
 bookvol10.2 FEVALAB +-> conversion<br/>
+<a href="patches/20090508.06.tpd.patch">20090508.06.tpd.patch</a>
+bookvol10.3 ALGFF +-> conversion<br/>
  </body>
 </html>
